[CentOS-devel] 4.4 -> 5.0 upgrade (considerations)

Rodrigo Barbosa rodrigob at darkover.org
Tue Apr 17 19:00:48 UTC 2007

Hash: SHA1

On Tue, Apr 17, 2007 at 12:55:24PM -0600, Stephen John Smoogen wrote:
> On 4/17/07, Rodrigo Barbosa <rodrigob at darkover.org> wrote:
> >I'm working on a formula to enable a clean upgrade from 4.4 to 5.0.
> >Unfortunately, not only we have a big glibc upgrade on our way, we
> >also have some nasty package fragmentation. The best exemple
> >is xorg-x11-libs, which was separated in several (10+, perhaps)
> >packages.
> >
> >So far, I think the best plan is to create meta packages to solve
> >this dependency hell. Lets call it meta-4.4to5.0-upgrade.noarch.rpm.
> >This package should provide and requires the needed components.
> >
> >Unfortunatelly, this will probably change from system to system,
> >which can become very nasty. In that case, we have two ways to procede:
> >
> >1) A script that will create a package specific for that given
> >   system
> >2) Several meta packages
> >
> >I'm kind of leaning toward the second option, with a super meta
> >package that will require them all (in case someone want to
> >make things simples at the cost of installing extra packages).
> >
> >Comments ? Suggestions ?
> Are you looking for something otehr than anaconda for small memory or
> something? I do not see live updates working for the faint of heart
> from 4.4 -> 5.0 .

Nah, mostly remote systems, hosted on datacenters or somewhere else.

So far, the main problem I've encontered is really xorg. Go figure.


- -- 
Rodrigo Barbosa
"Quid quid Latine dictum sit, altum viditur"
"Be excellent to each other ..." - Bill & Ted (Wyld Stallyns)

Version: GnuPG v1.4.5 (GNU/Linux)


More information about the CentOS-devel mailing list